/*
 * FILE:    comment.h
 * PACKAGE: PNML view
 * LICENCE: See LICENCE file
 * AUTHOR:  Freek van Walderveen
 *
 */

#ifndef COMMENT_H
#define COMMENT_H

#include "drawable.h"

#include <QPoint>
#include <QSize>

class QPainter;
class QRect;
class QString;

class Comment : public Drawable {
public:
  Comment();
  virtual ~Comment() { }
  
  void draw (QPainter *p, DrawProps *drawProps);
  //virtual QRect getBoundingRect(DrawProps *drawProps);
  virtual void updateLabels(LabelPlacer *labelPlacer, DrawProps *drawProps);
  inline virtual bool containsPos(QPoint pos) const { return false; }
  inline virtual const QString getToolTip() const { return QString(); }
  
  inline const QPoint getPosition() const;
  inline void setPosition (QPoint value);
  inline const QSize getSize() const;
  inline void setSize(QSize value);
  inline const QString getDescription() const;
  inline void setDescription(QString value);
  
protected:
  QString description;
  QPoint position;
  QSize size;
    
private:

};

inline const QPoint Comment::getPosition() const {
  return position;
}
inline void Comment::setPosition (QPoint value) {
  position = value;
}
inline const QSize Comment::getSize() const {
  return size;
}
inline void Comment::setSize(QSize value) {
  size = value;
}
inline const QString Comment::getDescription() const {
  return description;
}
inline void Comment::setDescription(QString value) {
  description = value;
}

#endif //COMMENT_H

