/*
 * FILE:    export.h
 * PACKAGE: PNML view
 * LICENCE: See LICENCE file
 * AUTHOR:  Freek van Walderveen
 *
 */

#ifndef EXPORT_H
#define EXPORT_H

#include <QString>
#include <QSize>

class Net;
class DrawProps;

namespace Export {
  // for save*(): { Pre: net && drawProps }
  bool savePdf(Net *net, DrawProps *drawProps, const QString fileName);
  bool saveEps(Net *net, DrawProps *drawProps, const QString fileName);
  bool saveSvg(Net *net, DrawProps *drawProps, const QString fileName);
  bool saveRaster(Net *net, DrawProps *drawProps, const QString fileName, QString format);
  
  bool fixEps(const QString &filename, QSize size);
  
}

#endif //~EXPORT_H
