/*
 * FILE:    listwidget.cpp
 * PACKAGE: PNML view
 * LICENCE: See LICENCE file
 * AUTHOR:  Freek van Walderveen
 *
 */

#include "listwidget.h"

#include <QKeyEvent>
#include <QContextMenuEvent>
#include <QMenu>
#include <QAction>

ListWidget::ListWidget(QWidget *parent)
 : QListWidget(parent) {
}


ListWidget::~ListWidget() {
}

void ListWidget::contextMenuEvent(QContextMenuEvent *e) {
  if (currentRow() >= 0) {
    QMenu *menu = new QMenu();
    menu->addAction("Delete", this, SLOT(deleteCurrent()));
    menu->popup(e->globalPos());
  }
}

void ListWidget::keyPressEvent(QKeyEvent *e) {
  if (e->key() == Qt::Key_Delete) {
    deleteCurrent();
    e->accept();
  } else {
    e->ignore();
  }
}

void ListWidget::deleteCurrent() {
  if (currentRow() >= 0) {
    takeItem(currentRow());
  }
}
